Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 22 19:31
    geoffharcourt closed #409
  • May 22 19:31
    geoffharcourt commented #409
  • May 22 16:46
    davidwessman commented #409
  • May 20 06:50
    glebm commented #455
  • May 20 06:50

    glebm on main

    Fix 'config' option usage in CLI (compare)

  • May 20 06:50
    glebm closed #455
  • May 18 14:47
    davidwessman commented #387
  • May 18 13:52
    dsimardmtm commented #387
  • May 18 13:40
    geoffharcourt commented #455
  • May 18 11:58
    davidwessman commented #409
  • May 18 11:55
    shev-vadim-net commented #409
  • May 18 11:55
    davidwessman commented #455
  • May 18 11:53
    shev-vadim-net opened #455
  • May 18 00:49
    pcothenet commented #283
  • May 16 20:06
    yorsant closed #419
  • May 16 18:23
    geoffharcourt commented #409
  • May 16 17:39
    davidwessman commented #409
  • May 16 16:56
    geoffharcourt commented #409
  • May 16 16:53
    glebm commented #409
  • May 16 16:41
    geoffharcourt commented #409
Gleb Mazovetskiy
@glebm
ping
pong
PikachuEXE
@PikachuEXE
test
Erez Zukerman
@ezuk
pong, indeed
Gleb Mazovetskiy
@glebm
Great, it works!
So, I accepted a boring Java job at ACME corp, and I won't have much time to develop i18n-tasks in the near future
So I figured it's time to move i18n-tasks to an org
Rails i18n doesn't have an org yet, so let's start one
@ezuk has been working on an informational portal for Rails I18n, so far it has a number of interviews, more is coming http://ruby-i18n.github.io/rails-i18n.org/
Gleb Mazovetskiy
@glebm
Just found this https://github.com/ruby-i18n, invited Paul here
Tsvetelina Borisova
@tborisova
Hi
Can I use this gem with ruby 18.7?
1.8.7*
Gleb Mazovetskiy
@glebm
@tborisova nope sorry
@tborisova However, you can install ruby 2.1 and use the gem, regardless of what ruby your project requires
@tborisova 1.9.3 minimum
Tsvetelina Borisova
@tborisova
thanks
Alexey Shein
@conf
Hi
I've just started to use your gem (great by the way) and noticed that it doesn't use translations from gem 'russian'
Do you have any solution for this?
Alexey Shein
@conf
Oh, nevermind. I've read documentation again and found solution:
# read from a gem (config is parsed with ERB first, then YAML)
- "<%= %x[bundle show russian].chomp %>/lib/russian/locale/*.yml"
Julien Vanier
@monkbroc
Hi
Can you point me in the right direction to make the key matcher regexp more permissive? I have keys like t("home.index.100+_categories") that are marked as unused because of the +. I'm not sure which config to change or const to monkeypatch to allow +, $ and % in the translation keys.
Didn't know this was allowed in yaml :)
Julien Vanier
@monkbroc

Thanks. Here's how I monkeypatched it.

In i18n-task.yml

<% require('./config/initializers/i18n-tasks.rb') %>

base_locale: en
#...

In config/initializers/i18n-tasks.rb

if defined? I18n::Tasks::Scanners::BaseScanner
  # Monkeypatch the list of string symbols with a more permissive
  # version to make the i15r and i18n-tasks gems compatible
  I18n::Tasks::Scanners::BaseScanner.send(:remove_const, :VALID_KEY_RE)
  I18n::Tasks::Scanners::BaseScanner.const_set(:VALID_KEY_RE, /^([-\w.?!;:+$%@]|[\#{@}])+$/)
end